0
Welcome Guest! Login
0 items Join Now

SOLVED Have problem to install Rokcommon

    • Webitx's Avatar
    • Webitx
    • Rocketeer
    • Posts: 71
    • Thanks: 0

    SOLVED Have problem to install Rokcommon

    Posted 4 months 2 weeks ago
    • Hi,

      My website has error message

      "

      RokSprocket needs the RokCommon Library and Plug-in installed and enabled. The RokCommon System Plug-in needs to be before the RokSprocket System Plug-in in the Plug-in Manager
      RokGallery needs the RokCommon Library and Plug-in installed and enabled.

      "

      I tried to uninstall Rokcommon both plugin and library(3.2.0). After I uninstall, I tried to install a new version 3.2.7 Rokcommon but I get another error message

      "Fatal error: Uncaught Error: Call to undefined method JInstallerPackage::getManifest() in /home/tcaat276/public_html/tmp/install_5c7adceb319ae/install.php:59 Stack trace: #0 /home/tcaat276/public_html/libraries/joomla/installer/adapters/package.php(137): Pkg_RokcommonInstallerScript->preflight('install', Object(JInstallerPackage)) #1 /home/tcaat276/public_html/libraries/joomla/installer/installer.php(472): JInstallerPackage->install() #2 /home/tcaat276/public_html/administrator/components/com_installer/models/install.php(105): JInstaller->install('/home/tcaat276/...') #3 /home/tcaat276/public_html/administrator/components/com_installer/controllers/install.php(29): InstallerModelInstall->install() #4 /home/tcaat276/public_html/libraries/joomla/application/component/controller.php(761): InstallerControllerInstall->install() #5 /home/tcaat276/public_html/administrator/components/com_installer/installer.php(18): JController->execute('install') #6 /home/tcaat276/public_html/libraries/joomla/application/component/helper.php(380 in /home/tcaat276/public_html/tmp/install_5c7adceb319ae/install.php on line 59
      "

      Can you help me figure out why I can't install Rokcommon to solve the problem? Thanks. My website is still Joomla 2.5

      Website linke: www.tcaat.org/

      Regards,
      Lenny
    • Last Edit: 4 months 2 weeks ago by Webitx.
    • MrT's Avatar
    • MrT
    • Preeminent Rocketeer
    • Posts: 84116
    • Thanks: 10755
    • Web Designer/Developer

    Re: SOLVED Have problem to install Rokcommon

    Posted 4 months 2 weeks ago
    • We no longer support Joomla 2.5 (and neither do Joomla). Rokcommon 3.2.7 will not work on Joomla 2.5.

      Regards, Mark.
    • Please search forums before posting. Please make sure your post includes the version of the CMS you are using and a link to the problem. Annotations on screenshots can also be helpful to explain problems/goals. Please use the "secure" tab for confidential information.
    • Webitx's Avatar
    • Webitx
    • Rocketeer
    • Posts: 71
    • Thanks: 0

    Re: SOLVED Have problem to install Rokcommon

    Posted 4 months 2 weeks ago
    • I see. Thanks Mark for your reply.

      Lenny

Time to create page: 0.058 seconds